<?php
/**
 * Plugin Name: Inti Gath
 * Description: Integracija s Gath ERPom
 * Version: dev-master
 */
namespace Inti\Gath;

define('INTI_GATH_URL', plugin_dir_url(__FILE__));
define('INTI_GATH_BASE_ID_OFFSET', 1e6);

add_action('admin_enqueue_scripts', function () {
    if (get_option('gath_module_attributes')) {
        wp_enqueue_script('inti-gath-admin', INTI_GATH_URL . '/js/admin/product_attributes.js', [], null, true);
    }
});

require_once __DIR__ . '/includes/ep-gath.php';
require_once __DIR__ . '/includes/options.php';
