<?php
namespace Inti\Gath\Entity\Moto;

/**
 * Class Motorcycle
 *
 * @package Inti\Gath\Entity\Moto
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath
 */
final class Motorcycle
{
    /** @var int */
    private $id;
    /** @var int */
    private $manufacturerId;
    /** @var int */
    private $modelId;
    /** @var int */
    private $year;
    /** @var int */
    private $engineCapacity;
    /** @var int */
    private $enginePowerKw;
    /** @var int */
    private $enginePowerHp;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @return int
     */
    public function getManufacturerId(): int
    {
        return $this->manufacturerId;
    }

    /**
     * @return int
     */
    public function getModelId(): int
    {
        return $this->modelId;
    }

    /**
     * @return int
     */
    public function getYear(): int
    {
        return $this->year;
    }

    /**
     * @return int
     */
    public function getEngineCapacity(): int
    {
        return $this->engineCapacity;
    }

    /**
     * @return int
     */
    public function getEnginePowerKw(): int
    {
        return $this->enginePowerKw;
    }

    /**
     * @return int
     */
    public function getEnginePowerHp(): int
    {
        return $this->enginePowerHp;
    }
}
