<?php
namespace Inti\Gath\Hydrator\Moto;

use Laminas\Hydrator\NamingStrategy\MapNamingStrategy;
use Laminas\Hydrator\ReflectionHydrator;

/**
 * Class ModelHydrator
 *
 * @package Inti\Gath\Hydrator\Moto
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath
 */
final class ModelHydrator extends ReflectionHydrator
{
    /**
     * Konstruktor.
     */
    public function __construct()
    {
        $this->setNamingStrategy(MapNamingStrategy::createFromHydrationMap([
            'ModelId' => 'id',
            'ModelName' => 'name',
        ]));
    }
}
