<?php
namespace Inti\Gath\Wp;

/**
 * Class ImageManagerFactory
 *
 * @package Inti\Gath\Wp
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath
 */
final class ImageManagerFactory
{
    /**
     * @return ImageManager
     */
    public function __invoke(): ImageManager
    {
        $upload = wp_upload_dir();
        return new ImageManager($upload['path']);
    }
}
