<?php
namespace IntiTest\Gath;

use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ServiceManager\ServiceManager;

/** @noinspection PhpFullyQualifiedNameUsageInspection */
$config = (new ConfigAggregator([
    \Inti\Gath\Api\ConfigProvider::class,
    \Inti\Gath\Model\ConfigProvider::class,
    new ArrayProvider([
        'gath' => [
            'base_uri' => 'http://172.30.60.120:30024/',
        ],
    ])
]))->getMergedConfig();

$container = new ServiceManager($config['dependencies'] ?? []);
$container->setService('config', $config);

return $container;
