<?php
namespace Inti\Gath;

use Laminas\ConfigAggregator\ConfigAggregator;

/**
 * Konfiguracija modula.
 *
 * @package Inti\Gath
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath
 */
final class ConfigProvider
{
    /**
     * @return array
     */
    public function __invoke(): array
    {
        return (new ConfigAggregator([
            Api\ConfigProvider::class,
            Model\ConfigProvider::class,
            Wp\ConfigProvider::class,
        ]))->getMergedConfig();
    }
}
