<?php
namespace Inti\Gath\Entity\Tire;

/**
 * Class FilterValues
 *
 * @package Inti\Gath\Entity\Tire
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath
 */
final class FilterValues
{
    /** @var string[] */
    private $vehicleTypes = [];
    /** @var string[] */
    private $seasons = [];
    /** @var string[] */
    private $speedIndices = [];
    /** @var string[] */
    private $brands = [];
    /** @var int[] */
    private $loadIndices = [];
    /** @var int[] */
    private $widths = [];
    /** @var int[] */
    private $heights = [];
    /** @var int[] */
    private $diameters = [];

    /**
     * @return string[]
     */
    public function getVehicleTypes(): array
    {
        return $this->vehicleTypes;
    }

    /**
     * @return string[]
     */
    public function getSeasons(): array
    {
        return $this->seasons;
    }

    /**
     * @return string[]
     */
    public function getSpeedIndices(): array
    {
        return $this->speedIndices;
    }

    /**
     * @return string[]
     */
    public function getBrands(): array
    {
        return $this->brands;
    }

    /**
     * @return int[]
     */
    public function getLoadIndices(): array
    {
        return $this->loadIndices;
    }

    /**
     * @return int[]
     */
    public function getWidths(): array
    {
        return $this->widths;
    }

    /**
     * @return int[]
     */
    public function getHeights(): array
    {
        return $this->heights;
    }

    /**
     * @return int[]
     */
    public function getDiameters(): array
    {
        return $this->diameters;
    }
}
