<?php
namespace Inti\Gath\Model\Entity;

/**
 * Class Property
 *
 * @package Inti\Gath\Model\Entity
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath
 */
final class Property
{
    /** @var string */
    private $name;
    /** @var array */
    private $values;

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return array
     */
    public function getValues(): array
    {
        return $this->values ?? [];
    }
}
