<?php
namespace Inti\Gath\Model\Repository;

/**
 * Pruža pristup kolekciji entiteta.
 *
 * @package Inti\Gath\Model\Repository
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath
 */
interface RepositoryInterface
{
    /**
     * Vraća sve entitete.
     *
     * @return object[]
     */
    public function getAll(): array;
}
