<?php
namespace Inti\Gath\Model\Repository;

use Psr\Container\ContainerInterface;

/**
 * Class RepositoryManagerFactory
 *
 * @package Inti\Gath\Model\Repository
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-gath
 */
final class RepositoryManagerFactory
{
    /**
     * @param ContainerInterface $container
     * @return RepositoryManager
     */
    public function __invoke(ContainerInterface $container): RepositoryManager
    {
        return new RepositoryManager($container);
    }
}
